


use "clear census", clear

**# 表1 描述性统计
tab edu, gen(edu)
asdoc sum retire robotct_ins_mc_b_tr robotct_sto_mc_b_tr age gender married retiref edu1-edu4 HK popd_c_1 gdpp_c_1 netpr_c_1 emp2i_c_1 emp3i_c_1 , save "表1.doc" replace dec(3) 

**# 表2 基准结果
use "clear census", clear
global x "age gender married retiref i.edu HK popd_c_1 gdpp_c_1 netpr_c_1 emp2i_c_1 emp3i_c_1 i.prov_id" 
global y "retire" 
reg $y robotct_ins_mc_b_tr , r
est sto m1
reg $y robotct_ins_mc_b_tr $x , r
est sto m2 
reg $y robotct_sto_mc_b_tr , r
est sto m3
reg $y robotct_sto_mc_b_tr $x , r
est sto m4
outreg2 [m1 m2 m3 m4] using "表2.doc", keep(robotct_ins_mc_b_tr robotct_sto_mc_b_tr $x) dec(3) replace

**# 表3 2SLS
use "clear census", clear
global x "age gender married retiref i.edu HK popd_c_1 gdpp_c_1 netpr_c_1 emp2i_c_1 emp3i_c_1 i.prov_id" 
global y "retire" 
reg robotct_ins_mc_b_tr robotct_ins_mc_iv_b $x, r 
est sto m1
ivreg2 $y $x (robotct_ins_mc_b_tr=robotct_ins_mc_iv_b), first r  
est sto m2
reg robotct_sto_mc_b_tr robotct_sto_mc_iv_b $x, r 
est sto m3
ivreg2 $y $x (robotct_sto_mc_b_tr=robotct_sto_mc_iv_b), first r  
est sto m4
outreg2 [m1 m2 m3 m4] using "表3.doc", keep(robot*) dec(3) replace nocons

**# 表4 其他稳健性检验
use "clear census", clear
global x "age gender married retiref i.edu HK popd_c_1 gdpp_c_1 netpr_c_1 emp2i_c_1 emp3i_c_1 i.prov_id" 
global y "retire" 
probit $y robotct_ins_mc_b_tr $x, r
margins, dydx(robotct_ins_mc_b_tr) post
est sto m1
sum robotct_ins_mc_b_tr, de
gen treat=0 
replace treat=1 if robotct_ins_mc_b_tr>=`r(p50)'
replace treat=. if robotct_ins_mc_b_tr==.
psmatch2 treat $x, outcome($y) logit ties common ate neighbor(3) caliper(0.05) 
reg $y robotct_ins_mc_b_tr $x if _support==1, r 
est sto m2
gen dx=0
replace dx=1 if treatyear<=2015
replace dx=0 if treatyear==.
reg $y dx $x, r
est sto m3
global y "retire2"   
reg $y robotct_ins_mc_b_tr $x , r
est sto m4
outreg2 [m1 m2 m3 m4] using "表4.doc", keep(robot* dx) dec(3) replace nocons

**# 表5  企业机器人应用水平对中老年劳动力雇佣行为的影响
use "clear cees", clear
global c i.type dc size i.sector_2d
reg mage robota2 $c i.city, r
est sto m1
reg ratez robota2 $c i.city, r
est sto m2
reg lnmworkh1 robota2 $c i.city, r    
est sto m3
reg lnmincome11 robota2 $c i.city, r    
est sto m4
outreg2 [m1 m2 m3 m4] using "表5.doc", keep(*robot*) dec(3) replace nocons

**# 表6 机器人应用对中老年就业和劳动参与的影响
use "clear census", clear
global x "age gender married retiref i.edu HK popd_c_1 gdpp_c_1 netpr_c_1 emp2i_c_1 emp3i_c_1 i.prov_id" 
global y "job"   
reg $y robotct_ins_mc_b_tr $x, r
est sto m1
ivreg2 $y $x (robotct_ins_mc_b_tr=robotct_ins_mc_iv_b), first r  
est sto m2
global y "laborp"   
reg $y robotct_ins_mc_b_tr $x, r
est sto m3
ivreg2 $y $x (robotct_ins_mc_b_tr=robotct_ins_mc_iv_b), first r  
est sto m4
outreg2 [m1 m2 m3 m4] using "表6.doc", keep(robot*) dec(3) replace nocons

**# 表7 机器人应用对中老年就业情况的影响
use "clear clds", clear
global x "age gender married retiref i.edu hktype popd_c_1 gdpp_c_1 netpr_c_1 emp2i_c_1 emp3i_c_1" 
replace job_risk=. if job_risk==5
reghdfe job_risk robotct_ins_mc_b_tr $x, a(year city_id) cl(IID)
est sto m1
outreg2 [m1]using "表7.doc", keep(robot*) dec(3) replace nocons
use "clear clds_1", clear
global x "age gender married retiref i.edu hktype popd_c_1 gdpp_c_1 netpr_c_1 emp2i_c_1 emp3i_c_1" 
reghdfe lnincome_tr_1 robotct_ins_mc_b_tr $x, a(year city_id) cl(IID)
est sto m2
winsor2 wage_inc, cut(1 99) trim
gen lnwage_inc_tr_1=log(wage_inc_tr+1)
reghdfe lnwage_inc_tr_1 robotct_ins_mc_b_tr $x, a(year city_id) cl(IID)
est sto m3
gen lnhourpw_1=log(hourpw_1+1)
reghdfe lnhourpw_1 robotct_ins_mc_b_tr $x, a(year city_id) cl(IID)    //+
est sto m4
outreg2 [m2 m3 m4] using "表7.doc", keep(robot*) dec(3) nocons

**# 表8 就业环境的技能偏向
use "clear clds", clear
global x "age gender married retiref i.edu hktype popd_c_1 gdpp_c_1 netpr_c_1 emp2i_c_1 emp3i_c_1" 
gen inter1=robotct_ins_mc_b_tr*train
gen inter2=robotct_ins_mc_b_tr*cert
reghdfe job inter1 robotct_ins_mc_b_tr $x , a(year city_id) cl(IID)
est sto m1
reghdfe job inter2 robotct_ins_mc_b_tr $x , a(year city_id) cl(IID)
est sto m2
outreg2 [m1 m2] using "表8.doc", keep(inter* robot*) dec(3) replace nocons

**# 表9 退休行为异质性:个体技能、培训水平
use "clear clds", clear
global y retire
global x "age gender married retiref i.edu hktype popd_c_1 gdpp_c_1 netpr_c_1 emp2i_c_1 emp3i_c_1" 
reghdfe $y robotct_ins_mc_b_tr $x if cert==1, a(year city_id) cl(IID)
est sto m1
reghdfe $y robotct_ins_mc_b_tr $x if cert==0, a(year city_id) cl(IID)
est sto m2
reghdfe $y robotct_ins_mc_b_tr $x if train==1, a(year city_id) cl(IID)
est sto m3
reghdfe $y robotct_ins_mc_b_tr $x if train==0, a(year city_id) cl(IID)
est sto m4
outreg2 [m1 m2 m3 m4] using "表9.doc", keep(robot*) dec(3) replace nocons

**# 表10 工资的技能偏向
use "clear clds_1", clear
global x "age gender married retiref i.edu hktype popd_c_1 gdpp_c_1 netpr_c_1 emp2i_c_1 emp3i_c_1" 
winsor2 wage_inc, cut(1 99) trim
gen lnwage_inc_tr_1=log(wage_inc_tr+1)
reghdfe lnincome_tr_1 robotct_ins_mc_b_tr $x if train==1, a(year city_id) cl(IID)
est sto m1
reghdfe lnincome_tr_1 robotct_ins_mc_b_tr $x if train==0, a(year city_id) cl(IID)
est sto m2
reghdfe lnwage_inc_tr_1 robotct_ins_mc_b_tr $x if train==1, a(year city_id) cl(IID)
est sto m3
reghdfe lnwage_inc_tr_1 robotct_ins_mc_b_tr $x if train==0, a(year city_id) cl(IID)
est sto m4
outreg2 [m1 m2 m3 m4] using "表10.doc", keep(robot*) dec(3) replace nocons

**# 表11 政府培训异质性
use "clear census", clear
global x "age gender married retiref i.edu HK popd_c_1 gdpp_c_1 netpr_c_1 emp2i_c_1 emp3i_c_1 i.prov_id"   
global y "retire"   
gen inter1=ratep1*robotct_ins_mc_b_tr
reg $y inter1 robotct_ins_mc_b_tr ratep1 $x , r
est sto m1
gen inter2=ratep2*robotct_ins_mc_b_tr
reg $y inter2 robotct_ins_mc_b_tr ratep2 $x , r
est sto m2
outreg2 [m1 m2] using "表11.doc", keep(inter* robot*) dec(3) replace nocons

**# 表12 教育水平异质性
use "clear census", clear
global x "age gender married retiref i.edu HK popd_c_1 gdpp_c_1 netpr_c_1 emp2i_c_1 emp3i_c_1 i.prov_id"   
global y "retire"  
reg $y robotct_ins_mc_b_tr $x if M51==1|M51==2|M51==3|M51==4|M51==5|M51==6, r   
est sto m1
reg $y robotct_ins_mc_b_tr $x if M51==7|M51==8, r   
est sto m2
outreg2 [m1 m2] using "表12.doc", keep(robotct_ins_mc_b_tr) dec(3) replace nocons

**# 表13 年龄、性别异质性
use "clear census", clear
global x "age gender married retiref i.edu HK popd_c_1 gdpp_c_1 netpr_c_1 emp2i_c_1 emp3i_c_1 i.prov_id"   
global y "retire"   
gen inter3=age*robotct_ins_mc_b_tr
reg $y inter3 robotct_ins_mc_b_tr $x, r
est sto m1
gen inter4=gender*robotct_ins_mc_b_tr
reg $y inter4 robotct_ins_mc_b_tr $x, r
est sto m2
outreg2 [m1 m2] using "表13.doc", keep(inter* robot*) dec(3) replace nocons


